# Uses of Class
org.apache.avro.mapred.AvroCollector

Packages that use AvroCollector
Package
Description
org.apache.avro.mapred
Run Hadoop MapReduce jobs over Avro data, with map and reduce functions written in Java.

## Uses of AvroCollector in org.apache.avro.mapred

Methods in org.apache.avro.mapred that return AvroCollector
Modifier and Type
Method
Description
`AvroCollector`
AvroMultipleOutputs.`getCollector(String namedOutput, String multiName, Reporter reporter)`
Gets the output collector for a named output.
`AvroCollector`
AvroMultipleOutputs.`getCollector(String namedOutput, Reporter reporter)`
Deprecated.
Use `AvroMultipleOutputs.collect(java.lang.String, org.apache.hadoop.mapred.Reporter, java.lang.Object)` method for collecting output
Methods in org.apache.avro.mapred with parameters of type AvroCollector
Modifier and Type
Method
Description
`void`
AvroMapper.`map(IN datum, AvroCollector<OUT> collector, Reporter reporter)`
Called with each map input datum.
`void`
AvroReducer.`reduce(K key, Iterable<V> values, AvroCollector<OUT> collector, Reporter reporter)`
Called with all map output values with a given key.